# Portage
ACCEPT_LICENSE="*"
ACCEPT_KEYWORDS="~amd64"

COMMON_FLAGS="-march=native -O2 -pipe"
CFLAGS="${COMMON_FLAGS}"
CXXFLAGS="${COMMON_FLAGS}"
FCFLAGS="${COMMON_FLAGS}"
FFLAGS="${COMMON_FLAGS}"
RUSTFLAGS="-C target-cpu=native"
CPU_FLAGS_X86="aes avx avx2 f16c fma3 mmx mmxext pclmul popcnt rdrand sse sse2 sse3 sse4_1 sse4_2 ssse3"

EMERGE_DEFAULT_OPTS="--complete-graph=y --keep-going --quiet-build --with-bdeps=y"
USE="alsa -elogind -gnome -gnome-keyring -gold -kde -networkmanager -policykit -pulseaudio savedconfig -systemd vaapi -wayland X"
LLVM_TARGETS="X86"
CMAKE_MAKEFILE_GENERATOR="ninja"
NINJAOPTS="-j8"
MAKEOPTS="-j8"

PORTDIR="/var/db/repos/gentoo"
DISTDIR="/var/cache/distfiles"
PKGDIR="/var/cache/binpkgs"
GENTOO_MIRRORS="https://mirrors.soeasyto.com/distfiles.gentoo.org/ https://mirror.eu.oneandone.net/linux/distributions/gentoo/gentoo/ https://ftp.rnl.tecnico.ulisboa.pt/pub/gentoo/gentoo-distfiles/"

# Idioma
LC_MESSAGES=C
L10N="es es-ES"

# Hardware
#VIDEO_CARDS="intel i965 amdgpu radeonsi"
VIDEO_CARDS="intel i965"
INPUT_DEVICES="libinput"
MICROCODE_SIGNATURES="-S" 
GRUB_PLATFORMS="efi-64"
